	MdNs = {};

	MdNs.elements = new BobsLib.Hashtable();
	MdNs.namespaces = new BobsLib.Hashtable();
	MdNs.namespacePrefixes = new BobsLib.Hashtable();
	
	MdNs.MdManager = function( thumbnail ) {
		this.thumbnail = thumbnail;
		this.md = thumbnail.metadata;
		this.enumeration = new BobsLib.KeyedArrayList();
		this.noValue = new BobsLib.KeyedArrayList();
		this.notScriptable = new BobsLib.KeyedArrayList();
	}
	MdNs.MdManager.prototype.grab = function() {
		var md = this.thumbnail.metadata;
		var res = new BobsLib.KeyedArrayList();
		var elements = MdNs.elements.keyList;
		for ( var i in elements) {
			var el = MdNs.elements.get( elements[ i ] );
			if ( el.scriptAccessible ) {
				try {
					var val = el.getValue( md );
					if ( ( val != undefined )  && ( val.length > 0 ) && ( BobsLib.trim( val ) != null ) ) {
						var mdValue = new MdNs.MdValue( el.ns, el, val );
						this.enumeration.putValue( el.ns.common, mdValue );
					} else {
						this.noValue.putValue( el.ns.common, new MdNs.MdValue( el.ns, el, undefined ) );
					}
				} catch ( e ) {
				}
			} else {
				this.notScriptable.putValue( el.ns.common, new MdNs.MdValue( el.ns, el, undefined ) );
			}
		}
	}
	MdNs.MdValue = function( ns, element, val ) {
		this.ns = ns;
		this.element = element;
		this.value = val;
	}
	MdNs.MetadataNamespace = function( common, ns, prefix ) {
		this.common = common;
		this.ns = ns;
		this.handle = prefix;
		MdNs.namespaces.putValue( common, this );
		MdNs.namespacePrefixes.putValue( prefix, this );
		this.properties = new BobsLib.Hashtable();
		this.children = new Array();
	}
	new MdNs.MetadataNamespace( "IPTC Core", "http://iptc.org/std/Iptc4xmpCore/1.0/xmlns/", "Iptc4xmpCore" );
	new MdNs.MetadataNamespace( "EXIF", "http://ns.adobe.com/exif/1.0/", "exif");
	new MdNs.MetadataNamespace( "Dublin Core", "http://purl.org/dc/elements/1.1/", "dc" );
	new MdNs.MetadataNamespace( "TIFF", "http://ns.adobe.com/tiff/1.0/", "tiff" );
	new MdNs.MetadataNamespace( "XMP Basic", "http://ns.adobe.com/xap/1.0/", "xmp"  );
	new MdNs.MetadataNamespace( "XMP Media Management", "http://ns.adobe.com/xap/1.0/mm/", "xmpMM" );
	new MdNs.MetadataNamespace( "XMP Rights Management", "http://ns.adobe.com/xap/1.0/rights/", "xmpRights" );
	new MdNs.MetadataNamespace( "XMP Basic Job Ticket", "http://ns.adobe.com/xap/1.0/bj/", "xmpBJ" );
	new MdNs.MetadataNamespace( "XMP Paged-Text", "http://ns.adobe.com/xap/1.0/t/pg/", "xmpTPg" );
	new MdNs.MetadataNamespace( "Photoshop", "http://ns.adobe.com/photoshop/1.0/", "photoshop" );
//	new MdNs.MetadataNamespace( "Stock Photo", "http://ns.adobe.com/StockPhoto/1.0/", "bmsp" );
	new MdNs.MetadataNamespace( "Adobe PDF", "http://ns.adobe.com/pdf/1.3/", "pdf" );
	new MdNs.MetadataNamespace( "Camera Raw Settings", "http://ns.adobe.com/camera-raw-settings/1.0/", "crs" );
	new MdNs.MetadataNamespace( "Nancy's Custom Metadata", "http://www.lynchburghistory.com/custommetadata/1.0/xmlns/", "nmc" );
//	new MdNs.MetadataNamespace( "PNG", "http://ns.adobe.com/png/1.0/", "png" );
	
	MdNs.MdElement = function( nsCommon, property, gettable, redirectHandle ) {
		this.nsCommon = nsCommon;
		this.scriptAccessible = gettable;
		this.property = property;
		this.ns = MdNs.namespaces.getValue( this.nsCommon );
		this.ns.children.push( this );
		this.ns.properties.putValue( this.property, this );
		this.handle = this.ns.handle + ":" + this.property;
		MdNs.elements.putValue( this.handle, this );
		this.redirectHandle = redirectHandle;
		this.redirected = false;
		this.redirectElement = undefined;
		if ( this.redirectHandle ) {
			this.redirectElement = MdNs.elements.getValue( this.redirectHandle );
			this.scriptAccessible = this.redirectElement.scriptAccessible;
			this.redirected = true;
		}
	}
	MdNs.MdElement.prototype.getValue = function( md ) {
		if ( !this.scriptAccessible ) {
			throw ( this.nsCommon + ", " + this.property + " " + localize( "$$$/WAS/MD/notscriptable=cannot be accessed via scripting" ) );
		}
		if ( this.redirected ) {
			return this.redirectElement.getValue( md );
		} else {
			md.namespace = this.ns.ns;
			var st = "md." + this.property + ";";
			return eval( st );
		}
	}
	MdNs.MdElement.prototype.writeValue = function( md, value ) {
		if ( this.redirectHandle ) {
			this.redirectElement.writeValue( md, value );
		} else {
			md.namespace = this.ns.ns;
			var st = "md." + this.property + ' = "' + value + '";';
			eval( st );
		}
	}
	MdNs.MdElement.prototype.toString = function() {
		return "[Object: MdNs.MdElement] " + this.handle;
	}
	new MdNs.MdElement( "Dublin Core", "contributor", true ); // false );
	new MdNs.MdElement( "Dublin Core", "coverage", true );
	new MdNs.MdElement( "Dublin Core", "creator", true ); // false );
	new MdNs.MdElement( "Dublin Core", "date", true ); // false );
	new MdNs.MdElement( "Dublin Core", "description", true );
	new MdNs.MdElement( "Dublin Core", "format", true );
	new MdNs.MdElement( "Dublin Core", "identifier", true );
	new MdNs.MdElement( "Dublin Core", "language", true ); // false );
	new MdNs.MdElement( "Dublin Core", "publisher", true ); // false );
	new MdNs.MdElement( "Dublin Core", "relation", true ); // false );
	new MdNs.MdElement( "Dublin Core", "rights", true );
	new MdNs.MdElement( "Dublin Core", "source", true );
	new MdNs.MdElement( "Dublin Core", "subject", true ); // false );
	new MdNs.MdElement( "Dublin Core", "title", true );
	new MdNs.MdElement( "Dublin Core", "type", true ); // false );
	
	new MdNs.MdElement( "XMP Basic", "Advisory", true ); // false );
	new MdNs.MdElement( "XMP Basic", "BaseURL", true );
	new MdNs.MdElement( "XMP Basic", "CreateDate", true );
	new MdNs.MdElement( "XMP Basic", "Identifier", true ); // false );
	new MdNs.MdElement( "XMP Basic", "MetaDataDate", true );
	new MdNs.MdElement( "XMP Basic", "ModifyDate", true );
	new MdNs.MdElement( "XMP Basic", "Nickname", true );
	new MdNs.MdElement( "XMP Basic", "Thumbnail", true ); // false );
	
	new MdNs.MdElement( "XMP Rights Management", "Certificate", true );
	new MdNs.MdElement( "XMP Rights Management", "Marked", true );
	new MdNs.MdElement( "XMP Rights Management", "Owner", true ); // false );
	new MdNs.MdElement( "XMP Rights Management", "UsageTerms", true );
	new MdNs.MdElement( "XMP Rights Management", "WebStatement", true );

	new MdNs.MdElement( "XMP Media Management", "DerivedFrom", true );
	new MdNs.MdElement( "XMP Media Management", "DocumentID", true );
	new MdNs.MdElement( "XMP Media Management", "History", true ); // false );
	new MdNs.MdElement( "XMP Media Management", "ResourceEvent", true ); // false );
	new MdNs.MdElement( "XMP Media Management", "ManagedFrom", true );
	new MdNs.MdElement( "XMP Media Management", "Manager", true );
	new MdNs.MdElement( "XMP Media Management", "ManageTo", true );
	new MdNs.MdElement( "XMP Media Management", "ManageURI", true );
	new MdNs.MdElement( "XMP Media Management", "ManagerVariant", true );
	new MdNs.MdElement( "XMP Media Management", "RenditionClass", true );
	new MdNs.MdElement( "XMP Media Management", "RenditionParams", true );
	new MdNs.MdElement( "XMP Media Management", "VersionID", true );
	new MdNs.MdElement( "XMP Media Management", "Versions", true ); // false );
	new MdNs.MdElement( "XMP Media Management", "LastURL", true );
	
	new MdNs.MdElement( "XMP Basic Job Ticket", "JobRef", true ); // false );
	
	new MdNs.MdElement( "XMP Paged-Text", "MaxPageSize", true );
	new MdNs.MdElement( "XMP Paged-Text", "NPages", true );
	
	new MdNs.MdElement( "Adobe PDF", "Keywords", true );
	new MdNs.MdElement( "Adobe PDF", "Pdfversion", true );
	new MdNs.MdElement( "Adobe PDF", "AgentName", true );
	
	new MdNs.MdElement( "Photoshop", "AuthorsPosition", true );
	new MdNs.MdElement( "Photoshop", "CaptionWriter", true );
	new MdNs.MdElement( "Photoshop", "Category", true );
	new MdNs.MdElement( "Photoshop", "City", true );
	new MdNs.MdElement( "Photoshop", "Country", true );
	new MdNs.MdElement( "Photoshop", "Credit", true );
	new MdNs.MdElement( "Photoshop", "DateCreated", true );
	new MdNs.MdElement( "Photoshop", "Headline", true );
	new MdNs.MdElement( "Photoshop", "Instructions", true );
	new MdNs.MdElement( "Photoshop", "Source", true );
	new MdNs.MdElement( "Photoshop", "State", true );
	new MdNs.MdElement( "Photoshop", "SupplementalCategories", true );
	new MdNs.MdElement( "Photoshop", "TransmissionReference", true );
	new MdNs.MdElement( "Photoshop", "Urgency", true );
	
	new MdNs.MdElement( "TIFF", "ImageWidth", true );
	new MdNs.MdElement( "TIFF", "ImageLength", true );
	new MdNs.MdElement( "TIFF", "BitsPerSample", true ); // false );
	new MdNs.MdElement( "TIFF", "Compression", true ); //1 = uncompressed 6=jpeg
	new MdNs.MdElement( "TIFF", "PhotometricInterpretation", true ); //2 RGB, 6 YCbCr
	new MdNs.MdElement( "TIFF", "Orientation", true );
	new MdNs.MdElement( "TIFF", "SamplesPerPixel", true );
	new MdNs.MdElement( "TIFF", "PlanarConfiguration", true );
	new MdNs.MdElement( "TIFF", "YCbCrSubSampling", true ); // false );
	new MdNs.MdElement( "TIFF", "YCbCrPositioning", true ); //1 centered 2 co-sited
	new MdNs.MdElement( "TIFF", "XResolution", true );
	new MdNs.MdElement( "TIFF", "YResolution", true );
	new MdNs.MdElement( "TIFF", "ResolutionUnit", true ) //2 inches, 3 centimeters
	new MdNs.MdElement( "TIFF", "TransferFunction", true ); // false );
	new MdNs.MdElement( "TIFF", "WhitePoint", true ); // false );
	new MdNs.MdElement( "TIFF", "PrimaryChromaticities", true ); // false );
	new MdNs.MdElement( "TIFF", "YCbCrCoefficients", true ); // false );
	new MdNs.MdElement( "TIFF", "ReferenceBlackWhite", true ); // false );
	new MdNs.MdElement( "TIFF", "DateTime", true );
	new MdNs.MdElement( "TIFF", "ImageDescription", true );
	new MdNs.MdElement( "TIFF", "Make", true );
	new MdNs.MdElement( "TIFF", "Model", true );
	new MdNs.MdElement( "TIFF", "Software", true );
	new MdNs.MdElement( "TIFF", "Artist", true );
	new MdNs.MdElement( "TIFF", "Copyright", true );
	
	new MdNs.MdElement( "EXIF", "ExifVersion", true );
	new MdNs.MdElement( "EXIF", "FlashpixVersion", true );
	new MdNs.MdElement( "EXIF", "ColorSpace", true ); //1 sRGC -32786 uncalibrated
	new MdNs.MdElement( "EXIF", "ComponentsConfiguration", true ); // false );
	new MdNs.MdElement( "EXIF", "CompressedBitsPerPixel", true );
	new MdNs.MdElement( "EXIF", "PixelXDimension", true );
	new MdNs.MdElement( "EXIF", "PixelYDimension", true );
	new MdNs.MdElement( "EXIF", "MakerNote", true );
	new MdNs.MdElement( "EXIF", "UserComment", true );
	new MdNs.MdElement( "EXIF", "RelatedSoundFile", true );
	new MdNs.MdElement( "EXIF", "DateTimeOriginal", true );
	new MdNs.MdElement( "EXIF", "DateTimeDigitized", true );
	new MdNs.MdElement( "EXIF", "ExposureTime", true );
	new MdNs.MdElement( "EXIF", "FNumber", true );
	new MdNs.MdElement( "EXIF", "ExposureProgram", true ); // 0=not defined, 1=manual 2=normal program 3=aperature priority 4=shutter priority 5=creative program 6=action program  7=portrait mode 8= landscape mode
	new MdNs.MdElement( "EXIF", "SpectralSensitivity", true );
	new MdNs.MdElement( "EXIF", "ISOSpeedRatings", true ); // false );
	new MdNs.MdElement( "EXIF", "OECF", true );
	new MdNs.MdElement( "EXIF", "ShutterSpeedValue", true );
	new MdNs.MdElement( "EXIF", "ApertureValue", true );
	new MdNs.MdElement( "EXIF", "BrightnessValue", true );
	new MdNs.MdElement( "EXIF", "ExposureBiasValue", true );
	new MdNs.MdElement( "EXIF", "MaxApertureValue", true );
	new MdNs.MdElement( "EXIF", "SubjectDistance", true );
	new MdNs.MdElement( "EXIF", "MeteringMode", true ); // 0=unk 1=avg 2=center weighted avg 3=spot 4=multi-spot 5=pattern 6=partial 255=other
	new MdNs.MdElement( "EXIF", "LightSource", true ); // 0-unk 1=daylight 2=flourescent 3=tungsten 17=std light A 18=std light B 19=std light C 20=D55 21=D65 22=D75 255=other
	new MdNs.MdElement( "EXIF", "Flash", true );
	new MdNs.MdElement( "EXIF", "FocalLength", true );
	new MdNs.MdElement( "EXIF", "SubjectArea", true ); // false );
	new MdNs.MdElement( "EXIF", "FlashEnergy", true );
	new MdNs.MdElement( "EXIF", "SpatialResponseFrequency", true );
	new MdNs.MdElement( "EXIF", "FocalPlaneXResolution", true );
	new MdNs.MdElement( "EXIF", "FocalPlaneYResolution", true );
	new MdNs.MdElement( "EXIF", "FocalPlaneResolutionUnit", true ); // 2=inches 3=cent
	new MdNs.MdElement( "EXIF", "SubjectLocation", true ); // false );
	new MdNs.MdElement( "EXIF", "ExposureIndex", true );
	new MdNs.MdElement( "EXIF", "SensingMethod", true ); //1=not def 2=one chip color area sensor 3=two chip 4=three chip 5=color sequential area sensor 7=trilinear sensor 8=color sequential linear sensor
	new MdNs.MdElement( "EXIF", "FileSource", true ); // 3(DSC) only choice
	new MdNs.MdElement( "EXIF", "SceneType", true ); // 1(directly photographed image)
	new MdNs.MdElement( "EXIF", "CFAPattern", true );
	new MdNs.MdElement( "EXIF", "CustomRendered", true ); // 0=normal process 1=custom process
	new MdNs.MdElement( "EXIF", "ExposureMode", true ); // 0=auto 1=manual 2=auto bracket
	new MdNs.MdElement( "EXIF", "WhiteBalance", true );// 0=auto 1=manual
	new MdNs.MdElement( "EXIF", "DigitalZoomRatio", true );
	new MdNs.MdElement( "EXIF", "FocalLengthIn35mmFilm", true );
	new MdNs.MdElement( "EXIF", "SceneCaptureType", true ); // 0=std 1=landscape 2=portrait 3=night scene
	new MdNs.MdElement( "EXIF", "GainControl", true ); // 0=none 1=low gain up 2=hight gain up 3=low gain down 4=high gain down
	new MdNs.MdElement( "EXIF", "Contrast", true ); // 0=normal 1=soft 2=hard
	new MdNs.MdElement( "EXIF", "Saturation", true ); // 0=normal 1=low 2=high
	new MdNs.MdElement( "EXIF", "Sharpness", true ); // 0=normal 1=soft 2=hard
	new MdNs.MdElement( "EXIF", "DeviceSettingsDescription", true );
	new MdNs.MdElement( "EXIF", "SubjectDistanceRange", true );// 0=unk 1=macro 2=close 3=distant
	new MdNs.MdElement( "EXIF", "ImageUniqueID", true );
	new MdNs.MdElement( "EXIF", "GPSVersionID", true );
	new MdNs.MdElement( "EXIF", "GPSLatitude", true );
	new MdNs.MdElement( "EXIF", "GPSLongitude", true );
	new MdNs.MdElement( "EXIF", "GPSAltitudeRef", true ); // 0=above SL 2=below SL
	new MdNs.MdElement( "EXIF", "GPSAltitude", true );
	new MdNs.MdElement( "EXIF", "GPSTimeStamp", true );
	new MdNs.MdElement( "EXIF", "GPSSatellites", true );
	new MdNs.MdElement( "EXIF", "GPSStatus", true ); // A=measurement in progress V=measurement s interoperability
	new MdNs.MdElement( "EXIF", "GPSMeasureMode", true ); // 2=2d measurement 3=3d
	new MdNs.MdElement( "EXIF", "GPSDOP", true );
	new MdNs.MdElement( "EXIF", "GPSSpeedRef", true ); // K=kilometers per hour M=miles per hour N=knots
	new MdNs.MdElement( "EXIF", "GPSSpeed", true );
	new MdNs.MdElement( "EXIF", "GPSTrackRef", true ); // T=true M=Magnetic
	new MdNs.MdElement( "EXIF", "GPSTrack", true );
	new MdNs.MdElement( "EXIF", "GPSImgDirectionRef", true ); // T=true M=mag
	new MdNs.MdElement( "EXIF", "GPSImgDirection", true );
	new MdNs.MdElement( "EXIF", "GPSMapDatum", true );
	new MdNs.MdElement( "EXIF", "GPSDestLatitude", true );
	new MdNs.MdElement( "EXIF", "GPSDestLongitude", true );
	new MdNs.MdElement( "EXIF", "GPSDestBearing", true );
	new MdNs.MdElement( "EXIF", "GPSDestDistanceRef", true ); // K=kilometers M=miles N=knots
	new MdNs.MdElement( "EXIF", "GPSDestDistance", true );
	new MdNs.MdElement( "EXIF", "GPSProcessingMethod", true );
	new MdNs.MdElement( "EXIF", "GPSAreaInformation", true );
	new MdNs.MdElement( "EXIF", "GPSDifferential", true ); // 0=without correction 1=correction applied
	
	new MdNs.MdElement( "IPTC Core", "City", undefined, "photoshop:City" );
	new MdNs.MdElement( "IPTC Core", "CopyrightNotice", undefined, "dc:rights" );
	new MdNs.MdElement( "IPTC Core", "Country", undefined, "photoshop:Country" );
	new MdNs.MdElement( "IPTC Core", "CountryCode", true );
	new MdNs.MdElement( "IPTC Core", "Creator", undefined, "dc:creator" );
	new MdNs.MdElement( "IPTC Core", "ContactInfo", true ); // false );
	new MdNs.MdElement( "IPTC Core", "CreatorJobTitle", undefined, "photoshop:AuthorsPosition" );
	new MdNs.MdElement( "IPTC Core", "DateCreated", undefined, "photoshop:DateCreated" );
	new MdNs.MdElement( "IPTC Core", "Description", undefined, "dc:description" );
	new MdNs.MdElement( "IPTC Core", "DescriptionWriter", undefined, "photoshop:CaptionWriter" );
	new MdNs.MdElement( "IPTC Core", "Headline", undefined, "photoshop:headline" );
	new MdNs.MdElement( "IPTC Core", "Instructions", undefined, "photoshop:instructions" );
	new MdNs.MdElement( "IPTC Core", "IntellectualGenre", true );
	new MdNs.MdElement( "IPTC Core", "JobID", undefined, "photoshop:TransmissionReference" );
	new MdNs.MdElement( "IPTC Core", "Keywords", undefined, "dc:subject" );
	new MdNs.MdElement( "IPTC Core", "Location", true );
	new MdNs.MdElement( "IPTC Core", "Provider", undefined, "photoshop:credit" );
	new MdNs.MdElement( "IPTC Core", "Province-State", undefined, "photoshop:state" );
	new MdNs.MdElement( "IPTC Core", "RightsUsageTerms", undefined, "xmpRights:UsageTerms" );
	new MdNs.MdElement( "IPTC Core", "Scene", true ); // false );
	new MdNs.MdElement( "IPTC Core", "Source", undefined, "photoshop:Source" );
	new MdNs.MdElement( "IPTC Core", "SubjectCode", true ); // false );
	new MdNs.MdElement( "IPTC Core", "Title", undefined, "dc:title" );

	new MdNs.MdElement( "Camera Raw Settings", "Version", true );
	new MdNs.MdElement( "Camera Raw Settings", "WhiteBalance", true );
	new MdNs.MdElement( "Camera Raw Settings", "Temperature", true );
	new MdNs.MdElement( "Camera Raw Settings", "Tint", true );
	new MdNs.MdElement( "Camera Raw Settings", "Exposure", true );
	new MdNs.MdElement( "Camera Raw Settings", "AutoShadows", true );
	new MdNs.MdElement( "Camera Raw Settings", "Shadows", true );
	new MdNs.MdElement( "Camera Raw Settings", "Brightness", true );
	new MdNs.MdElement( "Camera Raw Settings", "Contrast", true );
	new MdNs.MdElement( "Camera Raw Settings", "Saturation", true );
	new MdNs.MdElement( "Camera Raw Settings", "Sharpness", true );
	new MdNs.MdElement( "Camera Raw Settings", "LuminanceSmoothing", true );
	new MdNs.MdElement( "Camera Raw Settings", "ColorNoiseReduction", true );
	new MdNs.MdElement( "Camera Raw Settings", "ChromaticAberrationR", true );
	new MdNs.MdElement( "Camera Raw Settings", "ChromaticAberrationB", true );
	new MdNs.MdElement( "Camera Raw Settings", "VignetteAmount", true );
	new MdNs.MdElement( "Camera Raw Settings", "ShadowTint", true );
	new MdNs.MdElement( "Camera Raw Settings", "RedHue", true );
	new MdNs.MdElement( "Camera Raw Settings", "RedSaturation", true );
	new MdNs.MdElement( "Camera Raw Settings", "GreenHue", true );
	new MdNs.MdElement( "Camera Raw Settings", "GreenSaturation", true );
	new MdNs.MdElement( "Camera Raw Settings", "BlueHue", true );
	new MdNs.MdElement( "Camera Raw Settings", "BlueSaturation", true );
	new MdNs.MdElement( "Camera Raw Settings", "ToneCurveName", true );
	new MdNs.MdElement( "Camera Raw Settings", "CameraProfile", true );
	new MdNs.MdElement( "Camera Raw Settings", "HasSettings", true );
	new MdNs.MdElement( "Camera Raw Settings", "HasCrop", true );
	new MdNs.MdElement( "Camera Raw Settings", "RawFileName", true );


	new MdNs.MdElement( "Nancy's Custom Metadata", "Caption", true );
	new MdNs.MdElement( "Nancy's Custom Metadata", "Title", true );
	new MdNs.MdElement( "Nancy's Custom Metadata", "Date", true );
	new MdNs.MdElement( "Nancy's Custom Metadata", "ObjName", true );
	new MdNs.MdElement( "Nancy's Custom Metadata", "recFrom", true );
	new MdNs.MdElement( "Nancy's Custom Metadata", "tempLoc", true );
	new MdNs.MdElement( "Nancy's Custom Metadata", "Material", true );
	new MdNs.MdElement( "Nancy's Custom Metadata", "Process", true );
	new MdNs.MdElement( "Nancy's Custom Metadata", "Theme", true );
	new MdNs.MdElement( "Nancy's Custom Metadata", "Subject", true );
	new MdNs.MdElement( "Nancy's Custom Metadata", "Donor", true );
	new MdNs.MdElement( "Nancy's Custom Metadata", "Place", true );
	new MdNs.MdElement( "Nancy's Custom Metadata", "Maker", true );

"Bobs Metadata Library.jsx Loaded!";

